#############################################################################
# Makefile for building: bin/Viewer
# Generated by qmake (2.01a) (Qt 4.2.2) on: Wed May 30 20:51:15 2007
# Project:  Viewer.pro
# Template: app app
# Command: /usr/local/Trolltech/Qt-4.2.2/bin/qmake -unix -o Makefile Viewer.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DDBUG_PARSE -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W  $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/local/Trolltech/Qt-4.2.2/mkspecs/linux-g++ -I. -I/usr/local/Trolltech/Qt-4.2.2/include/QtCore -I/usr/local/Trolltech/Qt-4.2.2/include/QtCore -I/usr/local/Trolltech/Qt-4.2.2/include/QtGui -I/usr/local/Trolltech/Qt-4.2.2/include/QtGui -I/usr/local/Trolltech/Qt-4.2.2/include/QtXml -I/usr/local/Trolltech/Qt-4.2.2/include/QtXml -I/usr/local/Trolltech/Qt-4.2.2/include -I. -IBdd/include -IGraphics/include -IParser/include -I../.. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/usr/local/Trolltech/Qt-4.2.2/lib
LIBS          = $(SUBLIBS)  -L/usr/local/Trolltech/Qt-4.2.2/lib -lQtXml -L/root/qt-x11-opensource-src-4.2.2/lib -lQtGui -L/usr/X11R6/lib -lpng -lSM -lICE -lXi -lXrender -lXrandr -lXfixes -lXcursor -lXinerama -lfreetype -lfontconfig -lXext -lX11 -lQtCore -lz -lm -lglib-2.0 -lpthread -ldl
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/local/Trolltech/Qt-4.2.2/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = Bdd/src/Architecture_accessors.cpp \
		Bdd/src/BaseP_accessors.cpp \
		Bdd/src/Architecture_addComponent.cpp \
		Bdd/src/Architecture_alloc.cpp \
		Bdd/src/Architecture_searchComponent.cpp \
		Bdd/src/Architecture_unalloc.cpp \
		Bdd/src/BaseP_alloc.cpp \
		Bdd/src/BaseP_unalloc.cpp \
		Bdd/src/BaseV_accessors.cpp \
		Bdd/src/BaseV_addBaseP.cpp \
		Bdd/src/BaseV_afficheBaseConsole.cpp \
		Bdd/src/BaseV_afficheParamConsole.cpp \
		Bdd/src/BaseV_afficheLimitParamConsole.cpp \
		Bdd/src/BaseV_alloc.cpp \
		Bdd/src/BaseV_searchComponent.cpp \
		Bdd/src/BaseV_unalloc.cpp \
		Bdd/src/Component_accessors.cpp \
		Bdd/src/Component_addPortMap.cpp \
		Bdd/src/Component_alloc.cpp \
		Bdd/src/Component_getPosition.cpp \
		Bdd/src/Component_unalloc.cpp \
		Bdd/src/Coord_alloc.cpp \
		Bdd/src/Coord_unalloc.cpp \
		Bdd/src/Signal_unalloc.cpp \
		Bdd/src/ListePorts_getPortSouth.cpp \
		Bdd/src/Port_accessors.cpp \
		Bdd/src/Signal_alloc.cpp \
		Bdd/src/Port_alloc.cpp \
		Bdd/src/Signal_accessors.cpp \
		Bdd/src/Coord_accessors.cpp \
		Bdd/src/Port_unalloc.cpp \
		Bdd/src/ListePorts_getPortEast.cpp \
		Bdd/src/BaseV_getSignal.cpp \
		Bdd/src/PortMap_alloc.cpp \
		Bdd/src/Entity_alloc.cpp \
		Bdd/src/PortMap_unalloc.cpp \
		Bdd/src/ListePorts_alloc.cpp \
		Bdd/src/PortMap_accessors.cpp \
		Bdd/src/ListePorts_unalloc.cpp \
		Bdd/src/ListePorts_countPort.cpp \
		Bdd/src/ListePorts_getPortWest.cpp \
		Bdd/src/Entity_unalloc.cpp \
		Bdd/src/ListePorts_getPortNorth.cpp \
		Bdd/src/Entity_accessors.cpp \
		Bdd/src/ListePorts_addPort.cpp \
		Bdd/src/ListePorts_accessors.cpp \
		Bdd/src/ListePorts_searchPort.cpp \
		Bdd/src/LimitParam_accessors.cpp \
		Bdd/src/LimitParam_unalloc.cpp \
		Bdd/src/LimitParam_alloc.cpp \
		Bdd/src/BaseV_searchGroup.cpp \
		Bdd/src/BaseV_addGroup.cpp \
		Bdd/src/BaseV_addLink.cpp \
		Bdd/src/BaseV_searchLimitParam.cpp \
		Bdd/src/BaseV_addLimitParam.cpp \
		Bdd/src/BaseV_modify.cpp \
		Bdd/src/Group_accessors.cpp \
		Bdd/src/Group_alloc.cpp \
		Bdd/src/Group_addParam.cpp \
		Bdd/src/Group_unalloc.cpp \
		Bdd/src/Param_accessors.cpp \
		Bdd/src/Param_alloc.cpp \
		Bdd/src/Param_unalloc.cpp \
		Parser/src/Parse_createParam.cpp \
		Parser/src/Parse_alloc.cpp \
		Parser/src/Parse_save.cpp \
		Parser/src/Parse_closeBaseV.cpp \
		Parser/src/Parse_accessors.cpp \
		Parser/src/Parse_parser_pos.cpp \
		Parser/src/Parse_getBaseV.cpp \
		Parser/src/Parse_unalloc.cpp \
		Parser/src/Parse_open_file.cpp \
		Parser/src/Parse_open_file_param.cpp \
		Parser/src/Parse_parser_param.cpp \
		Parser/src/Parse_parser_limitparam.cpp \
		Graphics/src/Graphics_main.cpp \
		Graphics/src/Graphics_file_actions.cpp \
		Graphics/src/Graphics_tools_actions.cpp \
		Graphics/src/Graphics_about_actions.cpp \
		Graphics/src/Graphics_main_window.cpp \
		Graphics/src/Graphics_informations_window.cpp \
		Graphics/src/Graphics_drawPort.cpp \
		Graphics/src/Graphics_parameters_window.cpp \
		Graphics/src/Graphics_setParse.cpp \
		Graphics/src/Graphics_drawAll.cpp \
		Graphics/src/Graphics_mouseEvent.cpp moc_window.cpp
OBJECTS       = obj/Architecture_accessors.o \
		obj/BaseP_accessors.o \
		obj/Architecture_addComponent.o \
		obj/Architecture_alloc.o \
		obj/Architecture_searchComponent.o \
		obj/Architecture_unalloc.o \
		obj/BaseP_alloc.o \
		obj/BaseP_unalloc.o \
		obj/BaseV_accessors.o \
		obj/BaseV_addBaseP.o \
		obj/BaseV_afficheBaseConsole.o \
		obj/BaseV_afficheParamConsole.o \
		obj/BaseV_afficheLimitParamConsole.o \
		obj/BaseV_alloc.o \
		obj/BaseV_searchComponent.o \
		obj/BaseV_unalloc.o \
		obj/Component_accessors.o \
		obj/Component_addPortMap.o \
		obj/Component_alloc.o \
		obj/Component_getPosition.o \
		obj/Component_unalloc.o \
		obj/Coord_alloc.o \
		obj/Coord_unalloc.o \
		obj/Signal_unalloc.o \
		obj/ListePorts_getPortSouth.o \
		obj/Port_accessors.o \
		obj/Signal_alloc.o \
		obj/Port_alloc.o \
		obj/Signal_accessors.o \
		obj/Coord_accessors.o \
		obj/Port_unalloc.o \
		obj/ListePorts_getPortEast.o \
		obj/BaseV_getSignal.o \
		obj/PortMap_alloc.o \
		obj/Entity_alloc.o \
		obj/PortMap_unalloc.o \
		obj/ListePorts_alloc.o \
		obj/PortMap_accessors.o \
		obj/ListePorts_unalloc.o \
		obj/ListePorts_countPort.o \
		obj/ListePorts_getPortWest.o \
		obj/Entity_unalloc.o \
		obj/ListePorts_getPortNorth.o \
		obj/Entity_accessors.o \
		obj/ListePorts_addPort.o \
		obj/ListePorts_accessors.o \
		obj/ListePorts_searchPort.o \
		obj/LimitParam_accessors.o \
		obj/LimitParam_unalloc.o \
		obj/LimitParam_alloc.o \
		obj/BaseV_searchGroup.o \
		obj/BaseV_addGroup.o \
		obj/BaseV_addLink.o \
		obj/BaseV_searchLimitParam.o \
		obj/BaseV_addLimitParam.o \
		obj/BaseV_modify.o \
		obj/Group_accessors.o \
		obj/Group_alloc.o \
		obj/Group_addParam.o \
		obj/Group_unalloc.o \
		obj/Param_accessors.o \
		obj/Param_alloc.o \
		obj/Param_unalloc.o \
		obj/Parse_createParam.o \
		obj/Parse_alloc.o \
		obj/Parse_save.o \
		obj/Parse_closeBaseV.o \
		obj/Parse_accessors.o \
		obj/Parse_parser_pos.o \
		obj/Parse_getBaseV.o \
		obj/Parse_unalloc.o \
		obj/Parse_open_file.o \
		obj/Parse_open_file_param.o \
		obj/Parse_parser_param.o \
		obj/Parse_parser_limitparam.o \
		obj/Graphics_main.o \
		obj/Graphics_file_actions.o \
		obj/Graphics_tools_actions.o \
		obj/Graphics_about_actions.o \
		obj/Graphics_main_window.o \
		obj/Graphics_informations_window.o \
		obj/Graphics_drawPort.o \
		obj/Graphics_parameters_window.o \
		obj/Graphics_setParse.o \
		obj/Graphics_drawAll.o \
		obj/Graphics_mouseEvent.o \
		obj/moc_window.o
DIST          = /usr/local/Trolltech/Qt-4.2.2/mkspecs/common/unix.conf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/common/g++.conf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/common/linux.conf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/qconfig.pri \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt_functions.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt_config.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/exclusive_builds.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/default_pre.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/debug.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/default_post.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/unix/thread.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/moc.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/warn_on.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/resources.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/uic.prf \
		Viewer.pro
QMAKE_TARGET  = Viewer
DESTDIR       = bin/
TARGET        = bin/Viewer

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) bin/ || $(MKDIR) bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: Viewer.pro  /usr/local/Trolltech/Qt-4.2.2/mkspecs/linux-g++/qmake.conf /usr/local/Trolltech/Qt-4.2.2/mkspecs/common/unix.conf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/common/g++.conf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/common/linux.conf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/qconfig.pri \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt_functions.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt_config.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/exclusive_builds.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/default_pre.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/debug.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/default_post.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/unix/thread.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/moc.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/warn_on.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/resources.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/uic.prf \
		/usr/local/Trolltech/Qt-4.2.2/lib/libQtXml.prl \
		/usr/local/Trolltech/Qt-4.2.2/lib/libQtCore.prl \
		/usr/local/Trolltech/Qt-4.2.2/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile Viewer.pro
/usr/local/Trolltech/Qt-4.2.2/mkspecs/common/unix.conf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/common/g++.conf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/common/linux.conf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/qconfig.pri:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt_functions.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt_config.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/exclusive_builds.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/default_pre.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/debug.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/default_post.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/unix/thread.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/moc.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/warn_on.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/resources.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/uic.prf:
/usr/local/Trolltech/Qt-4.2.2/lib/libQtXml.prl:
/usr/local/Trolltech/Qt-4.2.2/lib/libQtCore.prl:
/usr/local/Trolltech/Qt-4.2.2/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile Viewer.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/Viewer1.0.0 || $(MKDIR) obj/Viewer1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/Viewer1.0.0/ && $(COPY_FILE) --parents Bdd/include/Architecture.h Bdd/include/BaseP.h Bdd/include/BaseV.h Bdd/include/Component.h Bdd/include/Coord.h Bdd/include/Entity.h Bdd/include/Group.h Bdd/include/LimitParam.h Bdd/include/ListePorts.h Bdd/include/Param.h Bdd/include/Port.h Bdd/include/PortMap.h Bdd/include/Signal.h Graphics/include/window.h Parser/include/parser.h obj/Viewer1.0.0/ && $(COPY_FILE) --parents Bdd/src/Architecture_accessors.cpp Bdd/src/BaseP_accessors.cpp Bdd/src/Architecture_addComponent.cpp Bdd/src/Architecture_alloc.cpp Bdd/src/Architecture_searchComponent.cpp Bdd/src/Architecture_unalloc.cpp Bdd/src/BaseP_alloc.cpp Bdd/src/BaseP_unalloc.cpp Bdd/src/BaseV_accessors.cpp Bdd/src/BaseV_addBaseP.cpp Bdd/src/BaseV_afficheBaseConsole.cpp Bdd/src/BaseV_afficheParamConsole.cpp Bdd/src/BaseV_afficheLimitParamConsole.cpp Bdd/src/BaseV_alloc.cpp Bdd/src/BaseV_searchComponent.cpp Bdd/src/BaseV_unalloc.cpp Bdd/src/Component_accessors.cpp Bdd/src/Component_addPortMap.cpp Bdd/src/Component_alloc.cpp Bdd/src/Component_getPosition.cpp Bdd/src/Component_unalloc.cpp Bdd/src/Coord_alloc.cpp Bdd/src/Coord_unalloc.cpp Bdd/src/Signal_unalloc.cpp Bdd/src/ListePorts_getPortSouth.cpp Bdd/src/Port_accessors.cpp Bdd/src/Signal_alloc.cpp Bdd/src/Port_alloc.cpp Bdd/src/Signal_accessors.cpp Bdd/src/Coord_accessors.cpp Bdd/src/Port_unalloc.cpp Bdd/src/ListePorts_getPortEast.cpp Bdd/src/BaseV_getSignal.cpp Bdd/src/PortMap_alloc.cpp Bdd/src/Entity_alloc.cpp Bdd/src/PortMap_unalloc.cpp Bdd/src/ListePorts_alloc.cpp Bdd/src/PortMap_accessors.cpp Bdd/src/ListePorts_unalloc.cpp Bdd/src/ListePorts_countPort.cpp Bdd/src/ListePorts_getPortWest.cpp Bdd/src/Entity_unalloc.cpp Bdd/src/ListePorts_getPortNorth.cpp Bdd/src/Entity_accessors.cpp Bdd/src/ListePorts_addPort.cpp Bdd/src/ListePorts_accessors.cpp Bdd/src/ListePorts_searchPort.cpp Bdd/src/LimitParam_accessors.cpp Bdd/src/LimitParam_unalloc.cpp Bdd/src/LimitParam_alloc.cpp Bdd/src/BaseV_searchGroup.cpp Bdd/src/BaseV_addGroup.cpp Bdd/src/BaseV_addLink.cpp Bdd/src/BaseV_searchLimitParam.cpp Bdd/src/BaseV_addLimitParam.cpp Bdd/src/BaseV_modify.cpp Bdd/src/Group_accessors.cpp Bdd/src/Group_alloc.cpp Bdd/src/Group_addParam.cpp Bdd/src/Group_unalloc.cpp Bdd/src/Param_accessors.cpp Bdd/src/Param_alloc.cpp Bdd/src/Param_unalloc.cpp Parser/src/Parse_createParam.cpp Parser/src/Parse_alloc.cpp Parser/src/Parse_save.cpp Parser/src/Parse_closeBaseV.cpp Parser/src/Parse_accessors.cpp Parser/src/Parse_parser_pos.cpp Parser/src/Parse_getBaseV.cpp Parser/src/Parse_unalloc.cpp Parser/src/Parse_open_file.cpp Parser/src/Parse_open_file_param.cpp Parser/src/Parse_parser_param.cpp Parser/src/Parse_parser_limitparam.cpp Graphics/src/Graphics_main.cpp Graphics/src/Graphics_file_actions.cpp Graphics/src/Graphics_tools_actions.cpp Graphics/src/Graphics_about_actions.cpp Graphics/src/Graphics_main_window.cpp Graphics/src/Graphics_informations_window.cpp Graphics/src/Graphics_drawPort.cpp Graphics/src/Graphics_parameters_window.cpp Graphics/src/Graphics_setParse.cpp Graphics/src/Graphics_drawAll.cpp Graphics/src/Graphics_mouseEvent.cpp obj/Viewer1.0.0/ && (cd `dirname obj/Viewer1.0.0` && $(TAR) Viewer1.0.0.tar Viewer1.0.0 && $(COMPRESS) Viewer1.0.0.tar) && $(MOVE) `dirname obj/Viewer1.0.0`/Viewer1.0.0.tar.gz . && $(DEL_FILE) -r obj/Viewer1.0.0


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/local/Trolltech/Qt-4.2.2/bin/moc:
	(cd $(QTDIR)/src/tools/moc && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_window.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_window.cpp
moc_window.cpp: Graphics/include/window.h \
		/usr/local/Trolltech/Qt-4.2.2/bin/moc
	/usr/local/Trolltech/Qt-4.2.2/bin/moc $(DEFINES) $(INCPATH) Graphics/include/window.h -o moc_window.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

obj/Architecture_accessors.o: Bdd/src/Architecture_accessors.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Architecture_accessors.o Bdd/src/Architecture_accessors.cpp

obj/BaseP_accessors.o: Bdd/src/BaseP_accessors.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseP_accessors.o Bdd/src/BaseP_accessors.cpp

obj/Architecture_addComponent.o: Bdd/src/Architecture_addComponent.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Architecture_addComponent.o Bdd/src/Architecture_addComponent.cpp

obj/Architecture_alloc.o: Bdd/src/Architecture_alloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Architecture_alloc.o Bdd/src/Architecture_alloc.cpp

obj/Architecture_searchComponent.o: Bdd/src/Architecture_searchComponent.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Architecture_searchComponent.o Bdd/src/Architecture_searchComponent.cpp

obj/Architecture_unalloc.o: Bdd/src/Architecture_unalloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Architecture_unalloc.o Bdd/src/Architecture_unalloc.cpp

obj/BaseP_alloc.o: Bdd/src/BaseP_alloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseP_alloc.o Bdd/src/BaseP_alloc.cpp

obj/BaseP_unalloc.o: Bdd/src/BaseP_unalloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseP_unalloc.o Bdd/src/BaseP_unalloc.cpp

obj/BaseV_accessors.o: Bdd/src/BaseV_accessors.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseV_accessors.o Bdd/src/BaseV_accessors.cpp

obj/BaseV_addBaseP.o: Bdd/src/BaseV_addBaseP.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseV_addBaseP.o Bdd/src/BaseV_addBaseP.cpp

obj/BaseV_afficheBaseConsole.o: Bdd/src/BaseV_afficheBaseConsole.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseV_afficheBaseConsole.o Bdd/src/BaseV_afficheBaseConsole.cpp

obj/BaseV_afficheParamConsole.o: Bdd/src/BaseV_afficheParamConsole.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseV_afficheParamConsole.o Bdd/src/BaseV_afficheParamConsole.cpp

obj/BaseV_afficheLimitParamConsole.o: Bdd/src/BaseV_afficheLimitParamConsole.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseV_afficheLimitParamConsole.o Bdd/src/BaseV_afficheLimitParamConsole.cpp

obj/BaseV_alloc.o: Bdd/src/BaseV_alloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseV_alloc.o Bdd/src/BaseV_alloc.cpp

obj/BaseV_searchComponent.o: Bdd/src/BaseV_searchComponent.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseV_searchComponent.o Bdd/src/BaseV_searchComponent.cpp

obj/BaseV_unalloc.o: Bdd/src/BaseV_unalloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseV_unalloc.o Bdd/src/BaseV_unalloc.cpp

obj/Component_accessors.o: Bdd/src/Component_accessors.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Component_accessors.o Bdd/src/Component_accessors.cpp

obj/Component_addPortMap.o: Bdd/src/Component_addPortMap.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Component_addPortMap.o Bdd/src/Component_addPortMap.cpp

obj/Component_alloc.o: Bdd/src/Component_alloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Component_alloc.o Bdd/src/Component_alloc.cpp

obj/Component_getPosition.o: Bdd/src/Component_getPosition.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Component_getPosition.o Bdd/src/Component_getPosition.cpp

obj/Component_unalloc.o: Bdd/src/Component_unalloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Component_unalloc.o Bdd/src/Component_unalloc.cpp

obj/Coord_alloc.o: Bdd/src/Coord_alloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Coord_alloc.o Bdd/src/Coord_alloc.cpp

obj/Coord_unalloc.o: Bdd/src/Coord_unalloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Coord_unalloc.o Bdd/src/Coord_unalloc.cpp

obj/Signal_unalloc.o: Bdd/src/Signal_unalloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Signal_unalloc.o Bdd/src/Signal_unalloc.cpp

obj/ListePorts_getPortSouth.o: Bdd/src/ListePorts_getPortSouth.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ListePorts_getPortSouth.o Bdd/src/ListePorts_getPortSouth.cpp

obj/Port_accessors.o: Bdd/src/Port_accessors.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Port_accessors.o Bdd/src/Port_accessors.cpp

obj/Signal_alloc.o: Bdd/src/Signal_alloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Signal_alloc.o Bdd/src/Signal_alloc.cpp

obj/Port_alloc.o: Bdd/src/Port_alloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Port_alloc.o Bdd/src/Port_alloc.cpp

obj/Signal_accessors.o: Bdd/src/Signal_accessors.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Signal_accessors.o Bdd/src/Signal_accessors.cpp

obj/Coord_accessors.o: Bdd/src/Coord_accessors.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Coord_accessors.o Bdd/src/Coord_accessors.cpp

obj/Port_unalloc.o: Bdd/src/Port_unalloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Port_unalloc.o Bdd/src/Port_unalloc.cpp

obj/ListePorts_getPortEast.o: Bdd/src/ListePorts_getPortEast.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ListePorts_getPortEast.o Bdd/src/ListePorts_getPortEast.cpp

obj/BaseV_getSignal.o: Bdd/src/BaseV_getSignal.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseV_getSignal.o Bdd/src/BaseV_getSignal.cpp

obj/PortMap_alloc.o: Bdd/src/PortMap_alloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/PortMap_alloc.o Bdd/src/PortMap_alloc.cpp

obj/Entity_alloc.o: Bdd/src/Entity_alloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Entity_alloc.o Bdd/src/Entity_alloc.cpp

obj/PortMap_unalloc.o: Bdd/src/PortMap_unalloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/PortMap_unalloc.o Bdd/src/PortMap_unalloc.cpp

obj/ListePorts_alloc.o: Bdd/src/ListePorts_alloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ListePorts_alloc.o Bdd/src/ListePorts_alloc.cpp

obj/PortMap_accessors.o: Bdd/src/PortMap_accessors.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/PortMap_accessors.o Bdd/src/PortMap_accessors.cpp

obj/ListePorts_unalloc.o: Bdd/src/ListePorts_unalloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ListePorts_unalloc.o Bdd/src/ListePorts_unalloc.cpp

obj/ListePorts_countPort.o: Bdd/src/ListePorts_countPort.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ListePorts_countPort.o Bdd/src/ListePorts_countPort.cpp

obj/ListePorts_getPortWest.o: Bdd/src/ListePorts_getPortWest.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ListePorts_getPortWest.o Bdd/src/ListePorts_getPortWest.cpp

obj/Entity_unalloc.o: Bdd/src/Entity_unalloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Entity_unalloc.o Bdd/src/Entity_unalloc.cpp

obj/ListePorts_getPortNorth.o: Bdd/src/ListePorts_getPortNorth.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ListePorts_getPortNorth.o Bdd/src/ListePorts_getPortNorth.cpp

obj/Entity_accessors.o: Bdd/src/Entity_accessors.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Entity_accessors.o Bdd/src/Entity_accessors.cpp

obj/ListePorts_addPort.o: Bdd/src/ListePorts_addPort.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ListePorts_addPort.o Bdd/src/ListePorts_addPort.cpp

obj/ListePorts_accessors.o: Bdd/src/ListePorts_accessors.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ListePorts_accessors.o Bdd/src/ListePorts_accessors.cpp

obj/ListePorts_searchPort.o: Bdd/src/ListePorts_searchPort.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ListePorts_searchPort.o Bdd/src/ListePorts_searchPort.cpp

obj/LimitParam_accessors.o: Bdd/src/LimitParam_accessors.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/LimitParam_accessors.o Bdd/src/LimitParam_accessors.cpp

obj/LimitParam_unalloc.o: Bdd/src/LimitParam_unalloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/LimitParam_unalloc.o Bdd/src/LimitParam_unalloc.cpp

obj/LimitParam_alloc.o: Bdd/src/LimitParam_alloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/LimitParam_alloc.o Bdd/src/LimitParam_alloc.cpp

obj/BaseV_searchGroup.o: Bdd/src/BaseV_searchGroup.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseV_searchGroup.o Bdd/src/BaseV_searchGroup.cpp

obj/BaseV_addGroup.o: Bdd/src/BaseV_addGroup.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseV_addGroup.o Bdd/src/BaseV_addGroup.cpp

obj/BaseV_addLink.o: Bdd/src/BaseV_addLink.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseV_addLink.o Bdd/src/BaseV_addLink.cpp

obj/BaseV_searchLimitParam.o: Bdd/src/BaseV_searchLimitParam.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseV_searchLimitParam.o Bdd/src/BaseV_searchLimitParam.cpp

obj/BaseV_addLimitParam.o: Bdd/src/BaseV_addLimitParam.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseV_addLimitParam.o Bdd/src/BaseV_addLimitParam.cpp

obj/BaseV_modify.o: Bdd/src/BaseV_modify.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/BaseV_modify.o Bdd/src/BaseV_modify.cpp

obj/Group_accessors.o: Bdd/src/Group_accessors.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Group_accessors.o Bdd/src/Group_accessors.cpp

obj/Group_alloc.o: Bdd/src/Group_alloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Group_alloc.o Bdd/src/Group_alloc.cpp

obj/Group_addParam.o: Bdd/src/Group_addParam.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Group_addParam.o Bdd/src/Group_addParam.cpp

obj/Group_unalloc.o: Bdd/src/Group_unalloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Group_unalloc.o Bdd/src/Group_unalloc.cpp

obj/Param_accessors.o: Bdd/src/Param_accessors.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Param_accessors.o Bdd/src/Param_accessors.cpp

obj/Param_alloc.o: Bdd/src/Param_alloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Param_alloc.o Bdd/src/Param_alloc.cpp

obj/Param_unalloc.o: Bdd/src/Param_unalloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Param_unalloc.o Bdd/src/Param_unalloc.cpp

obj/Parse_createParam.o: Parser/src/Parse_createParam.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Parse_createParam.o Parser/src/Parse_createParam.cpp

obj/Parse_alloc.o: Parser/src/Parse_alloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Parse_alloc.o Parser/src/Parse_alloc.cpp

obj/Parse_save.o: Parser/src/Parse_save.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Parse_save.o Parser/src/Parse_save.cpp

obj/Parse_closeBaseV.o: Parser/src/Parse_closeBaseV.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Parse_closeBaseV.o Parser/src/Parse_closeBaseV.cpp

obj/Parse_accessors.o: Parser/src/Parse_accessors.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Parse_accessors.o Parser/src/Parse_accessors.cpp

obj/Parse_parser_pos.o: Parser/src/Parse_parser_pos.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Parse_parser_pos.o Parser/src/Parse_parser_pos.cpp

obj/Parse_getBaseV.o: Parser/src/Parse_getBaseV.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Parse_getBaseV.o Parser/src/Parse_getBaseV.cpp

obj/Parse_unalloc.o: Parser/src/Parse_unalloc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Parse_unalloc.o Parser/src/Parse_unalloc.cpp

obj/Parse_open_file.o: Parser/src/Parse_open_file.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Parse_open_file.o Parser/src/Parse_open_file.cpp

obj/Parse_open_file_param.o: Parser/src/Parse_open_file_param.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Parse_open_file_param.o Parser/src/Parse_open_file_param.cpp

obj/Parse_parser_param.o: Parser/src/Parse_parser_param.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Parse_parser_param.o Parser/src/Parse_parser_param.cpp

obj/Parse_parser_limitparam.o: Parser/src/Parse_parser_limitparam.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Parse_parser_limitparam.o Parser/src/Parse_parser_limitparam.cpp

obj/Graphics_main.o: Graphics/src/Graphics_main.cpp Graphics/include/window.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Graphics_main.o Graphics/src/Graphics_main.cpp

obj/Graphics_file_actions.o: Graphics/src/Graphics_file_actions.cpp Graphics/include/window.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Graphics_file_actions.o Graphics/src/Graphics_file_actions.cpp

obj/Graphics_tools_actions.o: Graphics/src/Graphics_tools_actions.cpp Graphics/include/window.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Graphics_tools_actions.o Graphics/src/Graphics_tools_actions.cpp

obj/Graphics_about_actions.o: Graphics/src/Graphics_about_actions.cpp Graphics/include/window.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Graphics_about_actions.o Graphics/src/Graphics_about_actions.cpp

obj/Graphics_main_window.o: Graphics/src/Graphics_main_window.cpp Graphics/include/window.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Graphics_main_window.o Graphics/src/Graphics_main_window.cpp

obj/Graphics_informations_window.o: Graphics/src/Graphics_informations_window.cpp Graphics/include/window.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Graphics_informations_window.o Graphics/src/Graphics_informations_window.cpp

obj/Graphics_drawPort.o: Graphics/src/Graphics_drawPort.cpp Graphics/include/window.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Graphics_drawPort.o Graphics/src/Graphics_drawPort.cpp

obj/Graphics_parameters_window.o: Graphics/src/Graphics_parameters_window.cpp Graphics/include/window.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Graphics_parameters_window.o Graphics/src/Graphics_parameters_window.cpp

obj/Graphics_setParse.o: Graphics/src/Graphics_setParse.cpp Graphics/include/window.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Graphics_setParse.o Graphics/src/Graphics_setParse.cpp

obj/Graphics_drawAll.o: Graphics/src/Graphics_drawAll.cpp Graphics/include/window.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Graphics_drawAll.o Graphics/src/Graphics_drawAll.cpp

obj/Graphics_mouseEvent.o: Graphics/src/Graphics_mouseEvent.cpp Graphics/include/window.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Graphics_mouseEvent.o Graphics/src/Graphics_mouseEvent.cpp

obj/moc_window.o: moc_window.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_window.o moc_window.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

